Loading...
Searching...
No Matches
sha.h File Reference
libavutil » Crypto and Hashing » Hash Functions » SHA

Public header for SHA-1 & SHA-256 hash function implementations. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Functions

struct AVSHA * | av_sha_alloc (void)
| Allocate an AVSHA context.
int | av_sha_init (struct AVSHA *context, int bits)
| Initialize SHA-1 or SHA-2 hashing.
void | av_sha_update (struct AVSHA *ctx, const uint8_t *data, size_t len)
| Update hash value.
void | av_sha_final (struct AVSHA *context, uint8_t *digest)
| Finish hashing and output digest value.

## Variables

const int | av_sha_size

## Detailed Description

Public header for SHA-1 & SHA-256 hash function implementations.

Definition in file sha.h.